# THIS PACKAGE IS HOSTED AT MANDRIVA SVN
# PLEASE DO NOT UPLOAD DIRECTLY BEFORE COMMIT


%define name	konversation
%define version	1.0.1
%define release	%mkrel 6

Name:		%name
Summary:	A user friendly IRC Client for KDE
Version:	%version
Release:	%release
License:	GPL
Group:		Networking/IRC

Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}_16.png
Source2:	%{name}_32.png
Source3:	%{name}_48.png


Patch2:		%{name}-0.19-default_channel.patch
# (nl) : Feature 138836
Patch4:         %{name}-1.0.1-add-audacious-to-media.patch
# (nl) : mdv bug: 28019 kde bug: 133312
Patch5:         %{name}-1.0.1-fix-dcc-crash.patch
#(nl) :  fix defective server list window with compiz
Patch6:         %{name}-1.0.1-SVN_r604746.diff 
BuildRoot:	%{_tmppath}/%{name}-root
URL:		http://konversation.sourceforge.net/
Requires:	kdebase-progs >= 3.4
BuildRequires:	kdebase-devel

%description
A simple and easy to use IRC client for KDE with support for
strikeout; multi-channel joins; away / unaway messages; 
ignore list functionality; (experimental) support for foreign 
language characters; auto-connect to server; optional timestamps
to chat windows; configurable background colors and much more.

%prep
%setup -q

%patch2 -p1 -b .default_channel
%patch4 -p0 -b .add_audacious_to_media
%patch5 -p0 -b .fix_dcc_crash
%patch6 -p0 -b .fix_serveur_under_compiz

%build

%configure --with-xinerama --disable-rpath
%make

%install
rm -rf %{buildroot}
%makeinstall PACKAGE=%{name}
%{find_lang} %name

# Menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
install -d %buildroot/%_menudir/
kdedesktop2mdkmenu.pl %name Networking/IRC  %buildroot/%{_datadir}/applications/kde/%{name}.desktop %buildroot/%_menudir/%name kde

#icon
install -d $RPM_BUILD_ROOT/%{_iconsdir}
install -d $RPM_BUILD_ROOT/%{_liconsdir}
install -d $RPM_BUILD_ROOT/%{_miconsdir}
install -m644 %{SOURCE1} $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png
install -m644 %{SOURCE2} $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
install -m644 %{SOURCE3} $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png

%post
%{update_menus}
%if %mdkversion > 200600
%update_icon_cache crystalsvg
%update_icon_cache hicolor
%endif

%postun
%{clean_menus}
%if %mdkversion > 200600
%clean_icon_cache crystalsvg
%clean_icon_cache hicolor
%endif

%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README
%{_bindir}/%{name}
%{_bindir}/%{name}ircprotocolhandler

%dir %{_datadir}/apps/%{name}
%{_datadir}/apps/%{name}
%{_datadir}/applications/kde/%{name}.desktop

%{_iconsdir}/crystalsvg/16x16/actions/kimproxyaway.png
%{_iconsdir}/crystalsvg/16x16/actions/kimproxyoffline.png
%{_iconsdir}/crystalsvg/16x16/actions/kimproxyonline.png
%{_iconsdir}/crystalsvg/22x22/actions/char.png
%{_iconsdir}/crystalsvg/22x22/actions/kimproxyaway.png
%{_iconsdir}/crystalsvg/22x22/actions/kimproxyoffline.png
%{_iconsdir}/crystalsvg/22x22/actions/kimproxyonline.png
%{_iconsdir}/crystalsvg/22x22/actions/konv_message.png
%{_iconsdir}/crystalsvg/32x32/actions/kimproxyaway.png
%{_iconsdir}/crystalsvg/32x32/actions/kimproxyoffline.png
%{_iconsdir}/crystalsvg/32x32/actions/kimproxyonline.png
%{_iconsdir}/crystalsvg/scalable/actions/kimproxyaway.svgz
%{_iconsdir}/crystalsvg/scalable/actions/kimproxyoffline.svgz
%{_iconsdir}/crystalsvg/scalable/actions/kimproxyonline.svgz
%{_iconsdir}/crystalsvg/scalable/actions/konv_message.svgz
%{_iconsdir}/hicolor/128x128/apps/konversation.png
%{_iconsdir}/hicolor/16x16/apps/konversation.png
%{_iconsdir}/hicolor/22x22/apps/konversation.png
%{_iconsdir}/hicolor/32x32/apps/konversation.png
%{_iconsdir}/hicolor/48x48/apps/konversation.png
%{_iconsdir}/hicolor/64x64/apps/konversation.png
%{_iconsdir}/hicolor/scalable/apps/konversation.svgz
%{_iconsdir}/konversation.png
%{_liconsdir}/konversation.png
%{_miconsdir}/konversation.png

%{_menudir}/%{name}
%_datadir/apps/kconf_update/*.pl
%_datadir/apps/kconf_update/konversation.upd
   
%dir %_docdir/HTML/da/konversation/
%doc %_docdir/HTML/da/konversation/common
%doc %_docdir/HTML/da/konversation/*.bz2
%doc %_docdir/HTML/da/konversation/*.docbook
   
%dir %_docdir/HTML/en/konversation/
%doc %_docdir/HTML/en/konversation/common
%doc %_docdir/HTML/en/konversation/*.bz2
%doc %_docdir/HTML/en/konversation/*.docbook
%doc %_docdir/HTML/en/konversation/*.png

%dir %_docdir/HTML/et/konversation/
%doc %_docdir/HTML/et/konversation/common
%doc %_docdir/HTML/et/konversation/*.bz2
%doc %_docdir/HTML/et/konversation/*.docbook

%dir %_docdir/HTML/it/konversation/
%doc %_docdir/HTML/it/konversation/common
%doc %_docdir/HTML/it/konversation/*.bz2
%doc %_docdir/HTML/it/konversation/*.docbook
%doc %_docdir/HTML/it/konversation/*.png

%dir %_docdir/HTML/pt/konversation/
%doc %_docdir/HTML/pt/konversation/common
%doc %_docdir/HTML/pt/konversation/*.bz2
%doc %_docdir/HTML/pt/konversation/*.docbook

%dir %_docdir/HTML/ru/konversation/
%doc %_docdir/HTML/ru/konversation/common
%doc %_docdir/HTML/ru/konversation/*.bz2
%doc %_docdir/HTML/ru/konversation/*.docbook

%dir %_docdir/HTML/sv/konversation/
%doc %_docdir/HTML/sv/konversation/common
%doc %_docdir/HTML/sv/konversation/*.bz2
%doc %_docdir/HTML/sv/konversation/*.docbook
%doc %_docdir/HTML/sv/konversation/*.png

%dir %_docdir/HTML/nl/konversation/
%doc %_docdir/HTML/nl/konversation/common
%doc %_docdir/HTML/nl/konversation/*.bz2
%doc %_docdir/HTML/nl/konversation/*.docbook
%doc %_docdir/HTML/nl/konversation/*.png
   
%_datadir/config.kcfg/konversation.kcfg
%_datadir/services/konvirc.protocol
%_datadir/services/konvirc6.protocol

%doc %_docdir/HTML/es/konversation/*.png




%changelog
* Wed Jan 17 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1.0.1-6mdv2007.0
+ Revision: 109700
- Add patch6 :  fix defective server list window with compiz
  thanks to david Barth to point this out.

* Mon Jan 08 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1.0.1-5mdv2007.1
+ Revision: 105486
- Add Patch5: Fix dcc crash (#28019)

* Thu Jan 04 2007 Laurent Montel <lmontel@mandriva.com> 1.0.1-4mdv2007.1
+ Revision: 104037
- Don't depend on metapackage kdebase

* Sat Dec 23 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.0.1-3mdv2007.1
+ Revision: 101890
- update release
- Add patch4 (138836 kde feature)

* Thu Oct 12 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.0.1-2mdv2006.0
+ Revision: 63788
- Rebuild
- New version 1.0.1

* Fri Sep 01 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.0-1mdv2007.0
+ Revision: 59393
- Fix File List

  + Laurent Montel <lmontel@mandriva.com>
    - version 1.0

* Thu Jun 22 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.19-7mdv2007.0
+ Revision: 37864
- Increase release
- Use Macros
- Increase Release
- Rebuild to regenerate category
- Add Warning
- import konversation-0.19-5mdv2007.0


* Thu Jun 01 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.19-1mdv2007.0
- Rebuild to fix menu
- Add Patch3: Fix Build with gcc 4.1.1

* Wed May 10 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.19-4mdk
- Rebuild to generate categories

* Mon Jan 30 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.19-3mdk
- Fix Requires : It requires kde3.4+ now

* Mon Jan 30 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.19-2mdk
- Drop patch 1 : Merged upstream
- Rediff patch 2

* Mon Jan 30 2006 Laurent MONTEL <lmontel@mandriva.com> 0.19-1
- 0.19

* Sat Dec 24 2005 Anssi Hannula <anssi@mandriva.org> 0.18-8mdk
- drop regenerating configure
- drop all the x86_64 build hacks, they actually prevented the build

* Fri Dec 02 2005 Marcel Pol <mpol@mandriva.org> 0.18-7mdk
- P1: default channel is #mandriva (freenode)

* Tue Sep 06 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.18-6mdk
- patch 1 : Fix Script Media Encoding

* Mon Aug 01 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.18-5mdk
- Remove Patch 0 : Unneeded

* Wed Jul 27 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.18-4mdk
- Cosmetics

* Sat May 07 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.18-3mdk
- Try to fix some translation mistakes

* Sat May 07 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.18-2mdk
- Use new tarball because previous was buggy

* Sat May 07 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.18-1mdk
- 0.18
- Add Patch 0  ( unblacklist gcc4 )

* Fri Apr 22 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.17-3mdk
- Sorry master boulet I really fix build for amd64 ;)

* Wed Apr 06 2005 Sebastien Savarin <plouf@mandrake.org> 0.17-2mdk
- Fix build on x86_64 thanks to 
  Nicolas Richard <kournikolas@yahoo.fr>

* Wed Apr 06 2005 Sebastien Savarin <plouf@mandrake.org> 0.17-1mdk
- 0.17

* Thu Mar 24 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.16-1mdk
- 0.16

* Wed Jan 19 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.15.1-1mdk
- 0.15.1

* Thu Dec 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.15-1mdk
- 0.15

* Mon Jul 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.14-1mdk
- 0.14

* Sat Jun 05 2004 Marcel Pol <mpol@mandrake.org> 0.13-2mdk
- reenable libtoolize

* Sat Nov 15 2003 Marcel Pol <mpol@gmx.net> 0.13-1mdk
- 0.13

* Fri Jul 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.12-2mdk
- Rebuild

